import { useContext } from 'react';

import { ModalContext } from './context';

export const useModal = () => {
	const { registered, close, open, opened, register, unregister } = useContext(ModalContext);

	return {
		modals: registered,
		opened: opened,
		openModal: open,
		closeModal: close,
		registerModal: register,
		unregisterModal: unregister,
	};
};
