import { action } from '@storybook/addon-actions';
import { Meta, StoryObj } from '@storybook/react';

import Slider from '@prokyon/components/Slider';

type Story = StoryObj<typeof Slider>;

export default {
	component: Slider,
	parameters: {
		docs: {
			description: {
				component: "`import Section from '@prokyon/components/Section';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta;

export const Default: Story = {
	args: {
		onChange: action('changed'),
		min: 1,
		max: 10,
		value: 1,
	},
};
