import * as React from 'react';

function CircleFillIcon(props: React.SVGProps<SVGSVGElement>) {
	return (
		<svg viewBox="0 0 24 24" fill="currentColor" height="1em" width="1em" {...props}>
			<path fill="none" d="M0 0h24v24H0z" />
			<path d="M22 12 A10 10 0 0 1 12 22 A10 10 0 0 1 2 12 A10 10 0 0 1 22 12 z" />
		</svg>
	);
}

export default CircleFillIcon;
