import React from 'react';

import { useAuth } from '@prokyon/auth/hook/useAuth';

const SecureRoute = () => {
	const { authenticated } = useAuth();
	if (!authenticated) {
		return <div>User is not authenticated.</div>;
	}
	return <div>User is authenticated!</div>;
};

export default SecureRoute;
